# Uses of Class
org.apache.sysds.runtime.compress.colgroup.offset.AIterator

Packages that use AIterator
Package
Description
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.compress.colgroup.offset

## Uses of AIterator in org.apache.sysds.runtime.compress.colgroup

Methods in org.apache.sysds.runtime.compress.colgroup that return AIterator
Modifier and Type
Method
Description
`AIterator`
ASDCZero.`getIterator(int row)`
Methods in org.apache.sysds.runtime.compress.colgroup with parameters of type AIterator
Modifier and Type
Method
Description
`void`
ASDCZero.`decompressToDenseBlock(DenseBlock db, int rl, int ru, int offR, int offC, AIterator it)`
`void`
ASDCZero.`decompressToDenseBlockDenseDictionary(DenseBlock db, int rl, int ru, int offR, int offC, AIterator it)`
`abstract void`
ASDCZero.`decompressToDenseBlockDenseDictionaryWithProvidedIterator(DenseBlock db, int rl, int ru, int offR, int offC, double[] values, AIterator it)`
`void`
ColGroupSDCSingleZeros.`decompressToDenseBlockDenseDictionaryWithProvidedIterator(DenseBlock db, int rl, int ru, int offR, int offC, double[] values, AIterator it)`
`final void`
ColGroupSDCZeros.`decompressToDenseBlockDenseDictionaryWithProvidedIterator(DenseBlock db, int rl, int ru, int offR, int offC, double[] values, AIterator it)`
`void`
ASDCZero.`decompressToSparseBlock(SparseBlock sb, int rl, int ru, int offR, int offC, AIterator it)`
`abstract void`
ASDCZero.`decompressToSparseBlockDenseDictionaryWithProvidedIterator(SparseBlock db, int rl, int ru, int offR, int offC, double[] values, AIterator it)`
`void`
ColGroupSDCSingleZeros.`decompressToSparseBlockDenseDictionaryWithProvidedIterator(SparseBlock ret, int rl, int ru, int offR, int offC, double[] values, AIterator it)`
`void`
ColGroupSDCZeros.`decompressToSparseBlockDenseDictionaryWithProvidedIterator(SparseBlock ret, int rl, int ru, int offR, int offC, double[] values, AIterator it)`

## Uses of AIterator in org.apache.sysds.runtime.compress.colgroup.offset

Methods in org.apache.sysds.runtime.compress.colgroup.offset that return AIterator
Modifier and Type
Method
Description
`abstract AIterator`
AIterator.`clone()`
Copy the iterator with the current values.
`abstract AIterator`
AOffset.`getIterator()`
Get an iterator of the offsets while also maintaining the data index pointer.
`AIterator`
AOffset.`getIterator(int row)`
Get an iterator that is pointing at a specific offset.
`AIterator`
OffsetByte.`getIterator()`
`AIterator`
OffsetByteNZ.`getIterator()`
`AIterator`
OffsetByteUNZ.`getIterator()`
`AIterator`
OffsetChar.`getIterator()`
`AIterator`
OffsetEmpty.`getIterator()`
`AIterator`
OffsetEmpty.`getIterator(int row)`
`AIterator`
OffsetSingle.`getIterator()`
`AIterator`
OffsetTwo.`getIterator()`
Methods in org.apache.sysds.runtime.compress.colgroup.offset with parameters of type AIterator
Modifier and Type
Method
Description
`void`
AOffset.`cacheIterator(AIterator it, int row)`
Cache a iterator in use, note that there is no check for if the iterator is correctly positioned at the given row
`boolean`
AIterator.`equals(AIterator o)`
Unsafe version of equals, note that it should only compare iterators stemming from the same Offset Object.